Last Comment Bug 747445 - block on onLowMemory() event
: block on onLowMemory() event
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: Widget: Android (show other bugs)
: unspecified
: ARM Android
: -- normal (vote)
: mozilla15
Assigned To: Benoit Jacob [:bjacob] (mostly away)
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-20 10:03 PDT by Benoit Jacob [:bjacob] (mostly away)
Modified: 2012-05-02 13:42 PDT (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
fixed
+


Attachments
block on onLowMemory() (800 bytes, patch)
2012-04-20 10:03 PDT, Benoit Jacob [:bjacob] (mostly away)
blassey.bugs: review+
mark.finkle: approval‑mozilla‑aurora+
Details | Diff | Review

Description Benoit Jacob [:bjacob] (mostly away) 2012-04-20 10:03:31 PDT
Created attachment 617025 [details] [diff] [review]
block on onLowMemory()

This could help us avoid OOM crash that happen before we've had a change to free some memory to avoid crashing.

Also: my first line of Java code. ever.
Comment 1 Brad Lassey [:blassey] (use needinfo?) 2012-04-26 12:25:59 PDT
Benoit, has this landed?
Comment 2 Benoit Jacob [:bjacob] (mostly away) 2012-04-26 12:39:22 PDT
It hasn't yet, sorry.
Comment 3 Benoit Jacob [:bjacob] (mostly away) 2012-04-26 12:55:15 PDT
http://hg.mozilla.org/integration/mozilla-inbound/rev/7457d1680115
Comment 4 Ed Morley [:emorley] 2012-04-27 07:08:22 PDT
https://hg.mozilla.org/mozilla-central/rev/7457d1680115
Comment 5 JP Rosevear [:jpr] 2012-04-28 05:47:40 PDT
Comment on attachment 617025 [details] [diff] [review]
block on onLowMemory()

Mobile only.
Comment 6 Benoit Jacob [:bjacob] (mostly away) 2012-04-30 13:27:33 PDT
http://hg.mozilla.org/releases/mozilla-aurora/rev/012939517398
Comment 7 JP Rosevear [:jpr] 2012-05-02 13:42:18 PDT
This was landed a couple days ago on aurora.

Note You need to log in before you can comment on or make changes to this bug.